Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPolyDataReader Class Reference

`#include <vtkXMLPolyDataReader.h>`

Inheritance diagram for vtkXMLPolyDataReader:

[legend]
Collaboration diagram for vtkXMLPolyDataReader:

[legend]
List of all members.

## Detailed Description

Read VTK XML PolyData files.

Date:
  2003/02/07 20:06:29

Revision:
  1.2

vtkXMLPolyDataReader reads the VTK XML PolyData file format. One polygonal data file can be read to produce one output. Streaming is supported. The standard extension for this reader's file format is "vtp". This reader is also used to read a single piece of the parallel file format.

See also:
  vtkXMLPPolyDataReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (97%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLPolyDataReader.h)`
  - .`cxx` (`/IO/vtkXMLPolyDataReader.cxx)`

Definition at line 49 of file vtkXMLPolyDataReader.h.

## Public Types
typedef vtkXMLUnstructuredDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkPolyData *output)
vtkPolyData * | GetOutput ()
vtkPolyData * | GetOutput (int idx)
virtual vtkIdType | GetNumberOfVerts ()
virtual vtkIdType | GetNumberOfLines ()
virtual vtkIdType | GetNumberOfStrips ()
virtual vtkIdType | GetNumberOfPolys ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPolyDataReader * | SafeDownCast (vtkObject *o)
vtkXMLPolyDataReader * | New ()
## Protected Methods
| vtkXMLPolyDataReader ()
| ~vtkXMLPolyDataReader ()
const char * | GetDataSetName ()
void | GetOutputUpdateExtent (int &piece, int &numberOfPieces, int &ghostLevel)
void | SetupOutputTotals ()
void | SetupNextPiece ()
void | SetupPieces (int numPieces)
void | DestroyPieces ()
void | SetupOutputData ()
int | ReadPiece (vtkXMLDataElement *ePiece)
int | ReadPieceData ()
int | ReadArrayForCells (vtkXMLDataElement *da, vtkDataArray *outArray)
## Protected Attributes
int | TotalNumberOfVerts
int | TotalNumberOfLines
int | TotalNumberOfStrips
int | TotalNumberOfPolys
vtkIdType | StartVert
vtkIdType | StartLine
vtkIdType | StartStrip
vtkIdType | StartPoly
vtkXMLDataElement ** | VertElements
vtkXMLDataElement ** | LineElements
vtkXMLDataElement ** | StripElements
vtkXMLDataElement ** | PolyElements
vtkIdType * | NumberOfVerts
vtkIdType * | NumberOfLines
vtkIdType * | NumberOfStrips
vtkIdType * | NumberOfPolys

## Member Typedef Documentation

typedef vtkXMLUnstructuredDataReader vtkXMLPolyDataReader::Superclass

| Reimplemented from vtkXMLUnstructuredDataReader. Definition at line 52 of file vtkXMLPolyDataReader.h.

## Constructor & Destructor Documentation

vtkXMLPolyDataReader::vtkXMLPolyDataReader | ( |  | ) | `[protected]`

vtkXMLPolyDataReader::~vtkXMLPolyDataReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPolyDataReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

int vtkXMLPolyDataReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLUnstructuredDataReader.

virtual int vtkXMLPolyDataReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLUnstructuredDataReader.

vtkXMLPolyDataReader* vtkXMLPolyDataReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLUnstructuredDataReader.

void vtkXMLPolyDataReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLUnstructuredDataReader.

vtkXMLPolyDataReader* vtkXMLPolyDataReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLPolyDataReader::SetOutput | ( | vtkPolyData * | output | ) |

| Get/Set the reader's output.

vtkPolyData* vtkXMLPolyDataReader::GetOutput | ( |  | ) |

| Get/Set the reader's output.

vtkPolyData* vtkXMLPolyDataReader::GetOutput | ( | int | idx | ) |

| Get/Set the reader's output. Reimplemented from vtkSource.

virtual vtkIdType vtkXMLPolyDataReader::GetNumberOfVerts | ( |  | ) | `[virtual]`

| Get the number of verts/lines/strips/polys in the output.

virtual vtkIdType vtkXMLPolyDataReader::GetNumberOfLines | ( |  | ) | `[virtual]`

| Get the number of verts/lines/strips/polys in the output.

virtual vtkIdType vtkXMLPolyDataReader::GetNumberOfStrips | ( |  | ) | `[virtual]`

| Get the number of verts/lines/strips/polys in the output.

virtual vtkIdType vtkXMLPolyDataReader::GetNumberOfPolys | ( |  | ) | `[virtual]`

| Get the number of verts/lines/strips/polys in the output.

const char* vtkXMLPolyDataReader::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLPolyDataReader::GetOutputUpdateExtent | ( | int & | piece,
|  | int & | numberOfPieces,
|  | int & | ghostLevel
| ) | `[protected, virtual]`

| Implements vtkXMLUnstructuredDataReader.

void vtkXMLPolyDataReader::SetupOutputTotals | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

void vtkXMLPolyDataReader::SetupNextPiece | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

void vtkXMLPolyDataReader::SetupPieces | ( | int | numPieces | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

void vtkXMLPolyDataReader::DestroyPieces | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

void vtkXMLPolyDataReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

int vtkXMLPolyDataReader::ReadPiece | ( | vtkXMLDataElement * | ePiece | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

int vtkXMLPolyDataReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLUnstructuredDataReader.

int vtkXMLPolyDataReader::ReadArrayForCells | ( | vtkXMLDataElement * | da,
|  | vtkDataArray * | outArray
| ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

## Member Data Documentation

int vtkXMLPolyDataReader::TotalNumberOfVerts`[protected]`

| Definition at line 90 of file vtkXMLPolyDataReader.h.

int vtkXMLPolyDataReader::TotalNumberOfLines`[protected]`

| Definition at line 91 of file vtkXMLPolyDataReader.h.

int vtkXMLPolyDataReader::TotalNumberOfStrips`[protected]`

| Definition at line 92 of file vtkXMLPolyDataReader.h.

int vtkXMLPolyDataReader::TotalNumberOfPolys`[protected]`

| Definition at line 93 of file vtkXMLPolyDataReader.h.

vtkIdType vtkXMLPolyDataReader::StartVert`[protected]`

| Definition at line 94 of file vtkXMLPolyDataReader.h.

vtkIdType vtkXMLPolyDataReader::StartLine`[protected]`

| Definition at line 95 of file vtkXMLPolyDataReader.h.

vtkIdType vtkXMLPolyDataReader::StartStrip`[protected]`

| Definition at line 96 of file vtkXMLPolyDataReader.h.

vtkIdType vtkXMLPolyDataReader::StartPoly`[protected]`

| Definition at line 97 of file vtkXMLPolyDataReader.h.

vtkXMLDataElement** vtkXMLPolyDataReader::VertElements`[protected]`

| Definition at line 100 of file vtkXMLPolyDataReader.h.

vtkXMLDataElement** vtkXMLPolyDataReader::LineElements`[protected]`

| Definition at line 101 of file vtkXMLPolyDataReader.h.

vtkXMLDataElement** vtkXMLPolyDataReader::StripElements`[protected]`

| Definition at line 102 of file vtkXMLPolyDataReader.h.

vtkXMLDataElement** vtkXMLPolyDataReader::PolyElements`[protected]`

| Definition at line 103 of file vtkXMLPolyDataReader.h.

vtkIdType* vtkXMLPolyDataReader::NumberOfVerts`[protected]`

| Definition at line 104 of file vtkXMLPolyDataReader.h.

vtkIdType* vtkXMLPolyDataReader::NumberOfLines`[protected]`

| Definition at line 105 of file vtkXMLPolyDataReader.h.

vtkIdType* vtkXMLPolyDataReader::NumberOfStrips`[protected]`

| Definition at line 106 of file vtkXMLPolyDataReader.h.

vtkIdType* vtkXMLPolyDataReader::NumberOfPolys`[protected]`

| Definition at line 107 of file vtkXMLPolyDataReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPolyDataReader.h